## kpkpass 18.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.9.3")
project(KPkPass VERSION ${PIM_VERSION})

find_package(ECM 5.38 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)

ecm_setup_version(PROJECT VARIABLE_PREFIX KPKPASS
    VERSION_HEADER kpkpass_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfigVersion.cmake"
)

find_package(Qt5 REQUIRED COMPONENTS Test Gui)
find_package(KF5 REQUIRED COMPONENTS Archive)
find_package(SharedMimeInfo 1.3 REQUIRED)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions( -DQT_USE_QSTRINGBUILDER )

add_subdirectory(src)
add_subdirectory(autotests)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPimPkPass")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPimPkPassTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPimPkPassTargets.cmake
        NAMESPACE KPim::
)
install(FILES org_kde_kpkpass.categories DESTINATION ${KDE_INSTALL_CONFDIR})

=== debian/changelog ===
kpkpass (18.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:48 +0100

kpkpass (18.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:24 +0100

kpkpass (18.08.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 18.07.90
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:17:06 +0200

kpkpass (18.07.90-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.07.90 for all archs.

 -- Sandro Knauß <hefee@debian.org>  Thu, 06 Sep 2018 21:04:02 +0200

kpkpass (18.07.90-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update symbols from buildds for 18.07.90
  * Update Breaks/Replaces for versions inside Debian (Closes: #908035).

 -- Sandro Knauß <hefee@debian.org>  Thu, 06 Sep 2018 17:15:52 +0200

kpkpass (18.07.90-1) experimental; urgency=medium

  * First release in Debian.
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Use secure version of download url.
  * Add myself as Uploader.
  * Add symbols file for libkpimpkpass5.
  * Mark libkpimpkpass-dev  as Multi-Arch: same.
  * Make libkpimpkpass5.install more explicit.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 10:34:12 +0200

kpkpass (0.0-0neon) xenial; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Wed, 07 Feb 2018 17:35:10 +0000

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpimpkpass5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 17.12.4)
Replaces: kdepim-addons (<< 17.12.4)
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 18.12.3

=== debian/changelog ===
kpkpass (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:46:57 +0100

kpkpass (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Sync recent Debian changes. Remaining changes:
    - d/upstream/metadata: Update for KDE cgit Vcs.
    - d/control: Breaks/Replaces for Kubuntu versions.
    - d/control: Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 08:30:37 +0000

kpkpass (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 14:08:31 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                shared-mime-info (>= 1.3~),
 Standards-Version: 4.3.0
 Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
 
 Package: libkpimpkpass-dev
 Section: libdevel
@@ -29,7 +29,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kdepim-addons (<< 17.12.4)
-Replaces: kdepim-addons (<< 17.12.4)
+Breaks: kdepim-addons (<< 18.07.70~)
+Replaces: kdepim-addons (<< 18.07.70~)
 Description: library for Apple Wallet Pass reader
  This library provides an API for Apple Wallet Pass reader.

## kpkpass 19.04.3

=== debian/changelog ===
kpkpass (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:05 +0100

## kpkpass 19.08.3

=== debian/changelog ===
kpkpass (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:03 +0100

kpkpass (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Update libkpimpkpass-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:38:59 +0100

kpkpass (18.08.3-4) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:47:42 +0100

kpkpass (18.08.3-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump to Compat v12 (no changes needed).
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Remove not needed break rules (as the versions are already in
    stable).
  * Use virtual packages to bundle kdepim.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Sep 2019 00:21:27 +0200

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5archive-dev (>= 5.60.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               shared-mime-info (>= 1.3~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5archive-dev (>= 5.60.0~),
         libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage}
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

## kpkpass 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.13.3")
 project(KPkPass VERSION ${PIM_VERSION})
 
-find_package(ECM 5.38 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(KF5_MIN_VERSION "5.63.0")
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
@@ -20,15 +22,20 @@
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfigVersion.cmake"
 )
 
-find_package(Qt5 REQUIRED COMPONENTS Test Gui)
-find_package(KF5 REQUIRED COMPONENTS Archive)
+set(QT_REQUIRED_VERSION "5.11.0")
+
+find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Test Gui)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive)
 find_package(SharedMimeInfo 1.3 REQUIRED)
+option(NO_REGENERATE_MIME "Don't regenerate mime file (only for developper)" FALSE )
 
-add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
-add_definitions( -DQT_USE_QSTRINGBUILDER )
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
+endif()
+
+add_definitions(-DQT_NO_FOREACH)
+
 
 add_subdirectory(src)
 add_subdirectory(autotests)
@@ -55,4 +62,4 @@
         FILE KPimPkPassTargets.cmake
         NAMESPACE KPim::
 )
-install(FILES org_kde_kpkpass.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+install(FILES org_kde_kpkpass.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== src/CMakeLists.txt ===
set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim)
set(pkpass_srcs
    barcode.cpp
    boardingpass.cpp
    field.cpp
    location.cpp
    pass.cpp
)
ecm_qt_declare_logging_category(pkpass_srcs
    HEADER logging.h
    IDENTIFIER KPkPass::Log
    CATEGORY_NAME org.kde.pkpass
)

add_library(KPimPkPass ${pkpass_srcs})
add_library(KPim::PkPass ALIAS KPimPkPass)
generate_export_header(KPimPkPass BASE_NAME KPkPass)
set_target_properties(KPimPkPass PROPERTIES
    VERSION ${KPKPASS_VERSION_STRING}
    SOVERSION ${KPKPASS_SOVERSION}
    EXPORT_NAME PkPass
)
target_include_directories(KPimPkPass INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>")
target_link_libraries(KPimPkPass
    PUBLIC
        Qt5::Gui
    PRIVATE
        KF5::Archive
)

ecm_generate_headers(KPkPass_HEADERS
    HEADER_NAMES
        Barcode
        BoardingPass
        Field
        Location
        Pass
    REQUIRED_HEADERS KPkPass_HEADERS
)

install(TARGETS KPimPkPass EXPORT KPimPkPassTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KPkPass_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpkpass_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KPkPass
)

if (NOT ANDROID)
    install(FILES application-vnd-apple-pkpass.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
    if (NOT NO_REGENERATE_MIME)
       update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
    endif()
endif()

=== debian/changelog ===
kpkpass (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:22 +0100

kpkpass (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:26 +0100

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 18.07.70~)
Replaces: kdepim-addons (<< 18.07.70~)
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 20.08.1

=== debian/changelog ===
kpkpass (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:57:43 +0100

kpkpass (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:36 +0100

## kpkpass 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 project(KPkPass VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,23 +22,26 @@
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfigVersion.cmake"
 )
 
-set(QT_REQUIRED_VERSION "5.11.0")
+set(QT_REQUIRED_VERSION "5.13.0")
 
-find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Test Gui)
+find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive)
 find_package(SharedMimeInfo 1.3 REQUIRED)
 option(NO_REGENERATE_MIME "Don't regenerate mime file (only for developper)" FALSE )
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 
 add_subdirectory(src)
-add_subdirectory(autotests)
+if (BUILD_TESTING)
+    add_subdirectory(autotests)
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,4 +65,3 @@
         FILE KPimPkPassTargets.cmake
         NAMESPACE KPim::
 )
-install(FILES org_kde_kpkpass.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== autotests/CMakeLists.txt ===
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(pkpasstest.cpp LINK_LIBRARIES Qt5::Test KPim::PkPass)

=== debian/changelog ===
kpkpass (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:26 +0100

kpkpass (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:06:39 +0200

kpkpass (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:18 +0200

kpkpass (20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/org_kde_kpkpass.categories conffile.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Aug 2020 17:32:39 +0200

kpkpass (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:28 +0200

kpkpass (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.0).
  * Update watch file to the new release-service location.
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * Bump compat level to 13.
  * Enable hardening all.
  * Trim trailing whitespace.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:19:41 +0200

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5archive-dev (>= 5.71.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.13.0~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5archive-dev (>= 5.71.0~),
         libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage}
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 20.12.3

=== debian/changelog ===
kpkpass (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:24:53 +0000

kpkpass (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:58:15 +0000

kpkpass (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:12:46 +0000

kpkpass (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:31:25 +0000

kpkpass (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:55:35 +0000

## kpkpass 21.08.1

=== debian/changelog ===
kpkpass (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:15 +0100

kpkpass (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:26 +0100

kpkpass (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:23 +0100

kpkpass (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:44:17 +0100

kpkpass (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:36 +0100

kpkpass (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:37 +0100

kpkpass (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:11 +0100

kpkpass (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:20 +0100

## kpkpass 21.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2018-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")
project(KPkPass VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPKPASS
    VERSION_HEADER kpkpass_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfigVersion.cmake"
)

set(QT_REQUIRED_VERSION "5.15.2")

find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive)
find_package(SharedMimeInfo 1.3 REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimPkPass")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimPkPassConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPimPkPassConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KPimPkPassTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KPimPkPassTargets.cmake
        NAMESPACE KPim::
)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPimPkPass_QCH
        FILE KPimPkPassQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPimPkPassQchTargets.cmake\")")
endif()

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018-2021 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(pkpasstest.cpp LINK_LIBRARIES Qt::Test KPim::PkPass)
ecm_add_test(fieldtest.cpp LINK_LIBRARIES Qt::Test KPim::PkPass)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-FileCopyrightText: 2019-2021 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim)
add_library(KPimPkPass)
add_library(KPim::PkPass ALIAS KPimPkPass)

target_sources(KPimPkPass PRIVATE
    barcode.cpp
    boardingpass.cpp
    field.cpp
    location.cpp
    pass.cpp
    pass.h
    pass_p.h
    location.h
    field.h
    boardingpass.h
    barcode.h
)

ecm_qt_declare_logging_category(KPimPkPass
        HEADER logging.h
        IDENTIFIER KPkPass::Log
        CATEGORY_NAME org.kde.pkpass
        DESCRIPTION "KPkPass" EXPORT KPKPASS)


generate_export_header(KPimPkPass BASE_NAME KPkPass)
set_target_properties(KPimPkPass PROPERTIES
    VERSION ${KPKPASS_VERSION}
    SOVERSION ${KPKPASS_SOVERSION}
    EXPORT_NAME PkPass
)
target_include_directories(KPimPkPass INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_PIM}>")
target_link_libraries(KPimPkPass
    PUBLIC
        Qt::Gui
    PRIVATE
        KF5::Archive
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPimPkPass PROPERTIES UNITY_BUILD ON)
endif()

ecm_generate_headers(KPkPass_HEADERS
    HEADER_NAMES
        Barcode
        BoardingPass
        Field
        Location
        Pass
    REQUIRED_HEADERS KPkPass_HEADERS
)

install(TARGETS KPimPkPass EXPORT KPimPkPassTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
    ${KPkPass_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpkpass_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM}/KPkPass
)

if (NOT ANDROID)
    install(FILES application-vnd-apple-pkpass.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KPimPkPass_QCH
        NAME KPimPkPass
        BASE_NAME KPimPkPass
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KPkPass_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPKPASS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(EXPORT KPKPASS FILE org_kde_kpkpass.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
kpkpass (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:14:47 +0000

kpkpass (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:22 +0000

kpkpass (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:12 +0000

kpkpass (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:23 +0000

kpkpass (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:32 +0000

kpkpass (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:31:49 +0000

kpkpass (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:43:59 +0000

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.38~),
               libkf5archive-dev,
               pkg-kde-tools,
               qtbase5-dev,
               shared-mime-info (>= 1.3~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/kpkpass
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpkpass

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 18.07.70~)
Replaces: kdepim-addons (<< 18.07.70~)
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 22.08.1

=== debian/changelog ===
kpkpass (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:02 +0100

kpkpass (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:32 +0100

kpkpass (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:16 +0100

kpkpass (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:42 +0100

kpkpass (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:40 +0100

kpkpass (22.04.0-0ubuntu2) kinetic; urgency=medium

  * Fix install file.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 08:39:36 +0100

kpkpass (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:12 +0100

## kpkpass 22.08.3

=== debian/changelog ===
kpkpass (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:53:10 +0100

kpkpass (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:09:43 +0200

kpkpass (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:07:40 +0200

kpkpass (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:44:28 +0200

kpkpass (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:55:35 +0200

kpkpass (22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 21:59:55 +0200

kpkpass (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:02 +0200

kpkpass (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 01:57:42 +0200

kpkpass (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:08:01 +0200

kpkpass (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 22:19:17 +0100

kpkpass (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:24:30 +0900

kpkpass (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:23:36 +0900

kpkpass (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:38:26 +0900

kpkpass (21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:13:28 +0900

kpkpass (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:46:47 +0900

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.95.0~),
               libkf5archive-dev (>= 5.95.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.3~)
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5archive-dev (>= 5.95.0~),
         libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends}
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage}
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.

## kpkpass 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2018-2020 Volker Krause <vkrause@kde.org>
-# SPDX-FileCopyrightText: 2018-2021 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2018-2022 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.19.3")
+set(PIM_VERSION "5.22.3")
 project(KPkPass VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.87.0")
+set(KF5_MIN_VERSION "5.99.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -15,6 +15,7 @@
 include(ECMAddTests)
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
+include(ECMDeprecationSettings)
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEGitCommitHooks)
@@ -37,12 +38,14 @@
 
 set(QT_REQUIRED_VERSION "5.15.2")
 
-find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Gui)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive)
-find_package(SharedMimeInfo 1.3 REQUIRED)
+if (NOT ANDROID)
+    find_package(SharedMimeInfo 1.3 REQUIRED)
+endif()
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)
+ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
+
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpkpass (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:31:26 +0100

kpkpass (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:24:34 +0100

kpkpass (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:17 +0100

kpkpass (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:02:30 +0100

=== debian/control ===
Source: kpkpass
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libkf5archive-dev (>= 5.99.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kpkpass
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpkpass
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpkpass.git
Rules-Requires-Root: no

Package: libkpimpkpass-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5archive-dev (>= 5.99.0~),
         libkpimpkpass5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library for Apple Wallet Pass reader - development files
 This library provides an API for Apple Wallet Pass reader.
 .
 This package contains the development files.

Package: libkpimpkpass5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: library for Apple Wallet Pass reader
 This library provides an API for Apple Wallet Pass reader.
